> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/retrieve-slacks-content.md).

# استرجاع محتوى Slack

## استرجاع محتوى Slack

{% openapi src="/files/HnPQpOiuTrIsiKLD8NFc" path="/discussions/{discussion\_id}/contents/" method="get" %}
[rememberizer\_openapi.yml](https://4065521171-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKV4TZLzR1jCpM5coRezn%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=5e84eb03-c48b-4980-9792-73172ea64dd4)
{% endopenapi %}

### طلبات مثال

```bash
curl -X GET \
  "https://api.rememberizer.ai/api/v1/discussions/12345/contents/?integration_type=slack&from=2023-06-01T00:00:00Z&to=2023-06-07T23:59:59Z" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
```

{% hint style="info" %}
استبدل `YOUR_JWT_TOKEN` برمز JWT الفعلي الخاص بك و `12345` بمعرف المناقشة الفعلي.
{% endhint %}

```javascript
const getSlackContents = async (discussionId, from = null, to = null) => {
  const url = new URL(`https://api.rememberizer.ai/api/v1/discussions/${discussionId}/contents/`);
  url.searchParams.append('integration_type', 'slack');
  
  if (from) {
    url.searchParams.append('from', from);
  }
  
  if (to) {
    url.searchParams.append('to', to);
  }
  
  const response = await fetch(url.toString(), {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

// احصل على محتويات Slack للأسبوع الماضي
const toDate = new Date().toISOString();
const fromDate = new Date();
fromDate.setDate(fromDate.getDate() - 7);
const fromDateStr = fromDate.toISOString();

getSlackContents(12345, fromDateStr, toDate);
```

{% hint style="info" %}
استبدل `YOUR_JWT_TOKEN` برمز JWT الفعلي الخاص بك و `12345` بمعرف المناقشة الفعلي.
{% endhint %}

```python
import requests
from datetime import datetime, timedelta

def get_slack_contents(discussion_id, from_date=None, to_date=None):
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN"
    }
    
    params = {
        "integration_type": "slack"
    }
    
    if from_date:
        params["from"] = from_date
    
    if to_date:
        params["to"] = to_date
    
    response = requests.get(
        f"https://api.rememberizer.ai/api/v1/discussions/{discussion_id}/contents/",
        headers=headers,
        params=params
    )
    
    data = response.json()
    print(data)
```

## احصل على محتويات Slack للأسبوع الماضي

to\_date = datetime.now().isoformat() + "Z" from\_date = (datetime.now() - timedelta(days=7)).isoformat() + "Z"

get\_slack\_contents(12345, from\_date, to\_date)

````

{% hint style="info" %}
استبدل `YOUR_JWT_TOKEN` برمز JWT الفعلي الخاص بك و `12345` بمعرف المناقشة الفعلي.
{% endhint %}
{% endtab %}
{% endtabs %}

## معلمات المسار

| المعلمة        | النوع   | الوصف                                      |
|----------------|--------|-------------------------------------------|
| discussion_id  | عدد صحيح | **مطلوب.** معرف قناة Slack أو المناقشة لاسترجاع المحتويات. |

## معلمات الاستعلام

| المعلمة | النوع | الوصف |
|-----------|------|-------------|
| integration_type | سلسلة | **مطلوب.** تعيين إلى "slack" لاسترجاع محتوى Slack. |
| from | سلسلة | وقت البدء بتنسيق ISO 8601 في GMT+0. إذا لم يتم تحديده، فإن القيمة الافتراضية هي الآن. |
| to | سلسلة | وقت الانتهاء بتنسيق ISO 8601 في GMT+0. إذا لم يتم تحديده، فهو 7 أيام قبل معلمة "from". |

## تنسيق الاستجابة

```json
{
  "discussion_content": "المستخدم أ [2023-06-01 10:30:00]: صباح الخير فريق!\nالمستخدم ب [2023-06-01 10:32:15]: صباح الخير! كيف حال الجميع اليوم؟\n...",
  "thread_contents": {
    "2023-06-01T10:30:00Z": "المستخدم ج [2023-06-01 10:35:00]: @المستخدم أ أنا بخير، شكرًا على السؤال!\nالمستخدم أ [2023-06-01 10:37:30]: سعيد لسماع ذلك @المستخدم ج!",
    "2023-06-02T14:15:22Z": "المستخدم د [2023-06-02 14:20:45]: إليكم التحديث حول المشروع...\nالمستخدم ب [2023-06-02 14:25:10]: شكرًا على التحديث!"
  }
}
````

### ردود الأخطاء

| رمز الحالة | الوصف                      |
| ---------- | -------------------------- |
| 404        | لم يتم العثور على المناقشة |
| 500        | خطأ في الخادم الداخلي      |

تسترجع هذه النقطة نهاية محتويات قناة Slack أو محادثة الرسائل المباشرة. تعيد كل من رسائل القناة الرئيسية (`discussion_content`) والردود المتسلسلة (`thread_contents`). يتم تنظيم البيانات زمنياً وتتضمن معلومات المستخدم، مما يسهل فهم سياق المحادثات.

تسمح لك معلمات نطاق الوقت بالتركيز على فترات محددة، وهو أمر مفيد بشكل خاص لمراجعة الأنشطة الأخيرة أو المناقشات التاريخية.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/retrieve-slacks-content.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
